:root{
    --primary:#00e17b;
    --default-transition:400ms;
    --unbounded: "Unbounded", sans-serif;
    --rich-black:#010b0c;
    --noto:"Noto Serif", serif;    
}
*{
    margin: 0;
    padding: 0;
    user-select: none;
    box-sizing: border-box;
    font-family: "Barlow", sans-serif;
    list-style: none;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input:not(input[type=checkbox]),
select,
textarea
{
    background: transparent !important;
    border-radius: 0 !important;
    color: #fff !important;
}
input:not(input[type=checkbox]):focus,
select:focus,
textarea:focus
{
    border: 1px solid var(--primary);
    box-shadow: 3px 3px 0 0 var(--primary) !important;
}
input:not(input[type=checkbox]).is-invalid,
select.is-invalid,
textarea.is-invalid
{
    /* border: 1px solid var(--primary); */
    box-shadow: 3px 3px 0 0 #f00 !important;
}
select{
    background: #000 !important;
}
img{
    max-width: 100%;
}
.border-primary{
    border-color: var(--primary) !important;
}
.text-justify{
    text-align: justify;
}
.text-primary{
    color: var(--primary) !important;
}
.noto,
.noto *
{
    font-family: var(--noto);
}
.unbounded,
.unbounded *
{
    font-family: var(--unbounded);
}
ul,ol{
    padding-bottom: 0;
    padding-left: 0;
    margin-bottom: 0;
}
body{
    background: #000000;
    color: #fff;
    overflow-x: hidden;
}
a{
    text-decoration: none;
    color: #fff;
}
.btn
{
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--rich-black);
    background-color: var(--rich-black);
    color: var(--bs-white);
    border-radius: 1000px;
    padding: 0.5rem 2rem;
    font-family: 'Barlow-500', sans-serif;
    font-weight: 500;
    font-size: calc(0.6rem + 0.5vw);
    text-align: center;
    line-height: 20px;
    transition: var(--default-transition);
}
@media(max-width:576px){
    .btn{
        padding: 0.5rem 1rem;
    }
}
.btn:is(:hover,:active,:focus,.btn-white){
    background: var(--bs-white) !important;
    color: var(--rich-black) !important;
    border-color: var(--bs-white);
}
.btn.btn-white:is(:hover,:active,:focus){
    border-color: var(--bs-white) !important;
    background: var(--rich-black) !important;
    color: var(--bs-white) !important;
}
.logo{
    height: 54px;
    object-fit: contain;
}
header{
    position: sticky;
    z-index: 999;
    background: #00000099;
    backdrop-filter: blur(3px);
    top: 0;
}
.main_nav
{
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.main_nav > ul
{
    position: relative;
    display: flex;
    gap: 1.25rem;
}
.main_nav ul li a
{
    position: relative;
    display: inline-block;
    padding: 2rem 0;
    text-transform: capitalize;
    transition: var(--default-transition);
}
.main_nav ul li a:is(.active,:focus,:active,:hover)
{
    color: var(--primary);
}
.main_nav .has-child
{
    position: relative;
}
.main_nav > ul > li > ul
{
    position: absolute;
    opacity: 0;
    background: #000;
    backdrop-filter: blur(3px);
    transition: var(--default-transition);
    visibility: hidden;
    padding: 20px;
    min-width: 300px;
    border: 1px solid #fff5;
    transform: translateY(30px);
}
.main_nav > ul > li > ul a{
    padding: 0.25rem;
}
.main_nav .has-child:hover ul,
.main_nav .has-child:has(a:is(:hover,:active,:focus)) ul
{
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}



#mobile_menu
{
    background: #00000000;
    backdrop-filter: blur(6px);
    border-right: 1px solid #fff5;
}
.mobile_menu_list
{
    display: flex;
    text-align: center;
    position: relative;
    gap: 1rem;
    flex-direction: column;
    align-items: center;
    font-size: 1.5rem;
    padding: 1rem 0;
    text-transform: capitalize;
}
.mobile_menu_list ul
{
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: var(--default-transition);
    font-size: 1.25rem;
    padding: 8px;
    border: 1px solid #fff5;
    padding:0;
}
.mobile_menu_list .has-child.show ul
{
    padding: 8px;
    opacity: 1;
    max-height: unset;
}
.mobile_menu_list li
{
    position: relative;
    width: 100%;
    display: block;
}
.mobile_menu_list li.has-child
{
    cursor: pointer;
}
.mobile_menu_list li.has-child::before
{
    position: absolute;
    top: 3px;
    right: 0;
    content: '\f0d7';
    font-family: 'fontAwesome';
    color: var(--primary);
    transition: var(--default-transition);
}
.mobile_menu_list li.has-child.show::before
{
    transform: rotate(180deg);
}
.mobile_menu_list a
{
    position: relative;
    /* display: inline-block; */
    width: 100%;
    transition: var(--default-transition);
}
.mobile_menu_list a:is(:hover,:active,:focus,.active){
    color: var(--primary);
}
.mobile_menu_list .has-child a i{
    font-size: 1rem;
}

.hero_section
{
    position: relative;
    min-height: 60dvh;
    z-index: 0;
    overflow: hidden;
}
.hero_section .container{
    min-height: 60dvh;
}
.hero_section canvas{
    z-index: -1;
    position: absolute;
    inset: 0;
    opacity: 0.7;
    bottom: 0;
    mask-image: linear-gradient(var(--mask-direction, to bottom), hsl(0 0% 0% / 0), hsl(0 0% 0% / 1) 20%, hsl(0 0% 0% / 1) 90%, hsl(0 0% 0% / 0));
}

.service_sect
{
    position: relative;
    overflow: hidden;
}
.service_sect .circle{
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    aspect-ratio: 1;
    border-radius: 50%;
    content: '';
    background: radial-gradient(var(--primary),#000);
    filter: blur(100px);
    transform: translate(-50%,-50%);
}
.service_box
{
    position: relative;
    padding: 1rem;
    cursor: pointer;
    height: 100%;
    background: #0008;
    backdrop-filter: blur(4px);
    transition: var(--default-transition);
    border: 1px solid #fff5;
}
.service_box:hover{
    border-color: var(--primary);
}

.banner_text .noto{
    font-size: 5vw;
    font-weight: 300;
    line-height: 4.2vw;
}
.banner_text .unbounded{
    font-weight: 800;
    font-size: 4.2vw;
    line-height: 4vw;
}
@media(max-width:576px){
    .banner_text .unbounded {
        font-weight: 800;
        font-size: 7.2vw;
        line-height: 7vw;
    }
}
.ui_list
{
    padding-left: 1rem;
    list-style-type: circle !important;
    margin-bottom: 1rem;
}
.ui_list li{position: relative;}
.ui_list li::before
{
    content: '';
    position: absolute;
    right: 0;
    transition: var(--default-transition);
    height: 100%;
    background: var(--primary);
    width: 0;
}
.ui_list li.animated::before{
    width: 100%;
}
.ui_list span{
    font-family: var(--unbounded);
}
.filter-inverted{
    filter: invert(1);
}

.number_box
{
    position: relative;
}
.number_box .unbounded{
    color: var(--primary);
    font-weight: 700;
    font-size: 4rem;
}

@media(max-width:768px){
    .number_box .unbounded{
        font-size: 2rem;
    }
}

.process_card
{
    position: relative;
    text-align: center;
    background: #000000;
}
.process_card img{
    max-width: 200px;
    padding: 1rem;
    display: block;
    margin: 0 auto;
    background: #000;
    aspect-ratio: 1;
    object-fit: contain;
}
.process_card h5{
    font-family: var(--unbounded);
    text-transform: uppercase;
}
.testimonial_sec
{
    position: relative;
    overflow: hidden;
}
.testimonial_sec::before{
    content: '';
    position: absolute;
    top: 50%;
    right: 50%;
    width: 328px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: radial-gradient(var(--primary), #000);
    filter: blur(100px);
    opacity: 0.9;
    transform: translate(80%, -50%);
}
.testimonial_slider .item
{
    position: relative;
    padding: 0 42px 42px 0;
}
.testimonial_slider .testimonial_box{
    position: relative;
    padding: 1rem;
    border: 2px solid var(--primary);
    background: #0009;
    backdrop-filter: blur(4px);
    box-shadow:#000 10px 10px 0px -3px, var(--primary) 10px 10px, #000 20px 20px 0px -3px, var(--primary) 20px 20px, #000 30px 30px 0px -3px, var(--primary) 30px 30px, #000 40px 40px 0px -3px, var(--primary) 40px 40px;
}

.owl-dots
{
    position: relative;
    display: flex;
    margin: 0.75rem;
    justify-content: center;
    gap: 1rem;
}
.owl-dots button
{
    position: relative;
    width: 10px;
    aspect-ratio: 1;
    border: 2px solid #fff !important;
    transition: var(--default-transition);
}
.owl-dots button.active{
    border-color: var(--primary) !important;
    background: var(--primary);
}



footer{
    border-radius: 3rem 3rem 0 0;
    border-top: 2px solid var(--primary);
    overflow: hidden;
}
.footer_logo
{
    max-width: 200px;
}

.footer_links a
{
    position: relative;
    display: block;
    text-transform: capitalize;
    font-size: 1.15rem;
    transition: var(--default-transition);
}
.footer_links a:is(:hover,:active,:focus){
    color: var(--primary);
    letter-spacing: 1px;
}

.copy_footer
{
    position: relative;
    background: #0007;
    border-top: 1px solid #fff8;
}
footer{position: relative;}
footer::before{
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    width: 362px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: radial-gradient(var(--primary), #000);
    filter: blur(100px);
    opacity: 0.9;
    transform: translate(-50%, -50%);    
}


.buttle_points
{
    position: relative;
    display: grid;
    grid-template-columns: repeat(5,1fr);
}
.buttle_points .item
{
    padding:0 1rem;
}
.buttle_points .item:not(:last-child)
{
    border-right: 1px solid #fff3;
}
.buttle_points .item h6{
    display: flex;
    align-items: center;
    gap: 8px;
}
.buttle_points .item img
{
    width: 25px;
}

@media(max-width:1200px){
    .buttle_points
    {
        grid-template-columns: repeat(4,1fr);
    }   
    .buttle_points .item
    {
        padding:0.5rem;
    } 
    .buttle_points .item:not(:last-child){
        border-bottom: 1px solid #fff3;
    }
    .buttle_points .item:not(:nth-child(4))
    {
        border-right: 1px solid #fff3;
    }
    .buttle_points .item:nth-child(4){border-right: none;}
}
@media(max-width:992px){
    .buttle_points
    {
        grid-template-columns: repeat(2,1fr);
    }   
    .buttle_points .item
    {
        padding:0.5rem;
    } 
    .buttle_points .item:not(:last-child){
        border-bottom: 1px solid #fff3;
    }
    .buttle_points .item:not(:nth-child(4))
    {
        border-right: 1px solid #fff3;
    }
    .buttle_points .item:nth-child(2),
    .buttle_points .item:nth-child(4)
    {border-right: none;}
}
@media(max-width:768px){
    .buttle_points
    {
        grid-template-columns: repeat(1,1fr);
    }   
    .buttle_points .item
    {
        padding:0.5rem;
    } 
    .buttle_points .item:not(:last-child){
        border-bottom: 1px solid #fff3;
    }
    .buttle_points .item
    {
        border-right:none !important;
    }
}

.infinite_slider {
    width: 100%;
    --gap: 3.6rem;
    display: flex;
    overflow: hidden;
    user-select: none;
    gap: var(--gap);
    mask-image: linear-gradient(var(--mask-direction, to right), hsl(0 0% 0% / 0), hsl(0 0% 0% / 1) 20%, hsl(0 0% 0% / 1) 90%, hsl(0 0% 0% / 0));
}

.infinite_slider .slide-track 
{
    flex-shrink: 0;
    display: flex;
    justify-content: space-around;
    min-width: 100%;
    gap: var(--gap);
    animation: scroll 45s linear infinite;
}
.infinite_slider.is_2 .slide-track 
{
    animation: scroll_two 45s linear infinite;
}


.infinite_slider .slide img {
    height: 3rem;
}
/* animation (right to left) */
@keyframes scroll {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(calc(-100% - var(--gap)));
    }
}
/* animation (left to right) */
@keyframes scroll_two {
    0% {
        transform: translateX(calc(-100% - var(--gap)));
    }
    100% {
        transform: translateX(0);
    }
}
@media(max-width:576px){
    .infinite_slider .slide img {
        height: 2rem;
    }
}
.pagination,
.page-link
{
    background: #000 !important;
    color: var(--primary) !important;
    border-color: var(--primary) !important;
}
.page-item.active .page-link{
    color: #000 !important;
    background: var(--primary) !important;
}


.blog_box
{
    position: relative;
    border: 1px solid var(--primary);
    height: 100%;
    padding: 18px;
    transition: var(--default-transition);
}
.blog_box .imgBx{overflow: hidden;}
.blog_box .imgBx img
{
    aspect-ratio: 1.5;
    object-fit: cover;
    transition: var(--default-transition);
}
.blog_box:hover .imgBx img
{
    transform: scale(1.05); 
}
.blog_box h4,
.blog_box p
{
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    -webkit-line-clamp: 1;
}
.blog_box p{
    -webkit-line-clamp: 4;
}
.blog_box > a:hover{
    color: var(--primary) !important;
}
.recent_blogs{
    position: sticky;
    top: 7rem;
}